Bug 149701 - gcj4: ppc crash on building hsqldb 1.8.0
gcj4: ppc crash on building hsqldb 1.8.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://sourceforge.net/project/showfi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 10:42 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 08:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2005-02-25 10:42:43 EST
Description of problem:


Version-Release number of selected component (if applicable):
http://sourceforge.net/project/showfiles.php?group_id=23316&release_id=295980

How reproducible:
everytime

Steps to Reproduce:
1. get hsqldb
2. build with gcj4
  
Actual results:
(gdb) bt
#0  0x0eda9b94 in raise () from /lib/tls/libc.so.6
#1  0x0edab590 in abort () from /lib/tls/libc.so.6
#2  0x0f690d14 in _Jv_Throw () from /usr/lib/../lib/libgcj_fc4.so.6
#3  0x0f67f8ac in _Jv_remJ () from /usr/lib/../lib/libgcj_fc4.so.6
#4  <signal handler called>
#5  0x0f6b9958 in java::lang::Object::getClass () from
/usr/lib/../lib/libgcj_fc4.so.6
#6  0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#7  0x42056780 in ?? ()
#8  0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#9  0xffff5b20 in ?? ()
#10 0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#11 0xffff5b64 in ?? ()
#12 0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#13 0xffff5b84 in ?? ()
#14 0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#15 0x41e8cfa0 in ?? ()
#16 0x0f6bde78 in java::lang::String::equals () from /usr/lib/../lib/libgcj_fc4.so.6
#17 0x00000000 in ?? ()


Expected results:
successful build

Additional info:
openoffice.org2 contains hsqldb 1.8.0 to provide nifty database functionality of
some kind. Same works under i386
Comment 1 Thomas Fitzsimmons 2005-03-04 10:55:28 EST
What is the command you're running that produces that backtrace in gdb?
Comment 2 Caolan McNamara 2005-03-10 08:31:42 EST
hmm, latest test with gcc-java-4.0.0-0.32 under ppc with this example now works.

Note You need to log in before you can comment on or make changes to this bug.